Welcome to our new beta design! Click here to go back to the old Newschoolers.

Welcome to the Newschoolers forums! You may read the forums as a guest, however you must be a registered member to post. Register to become a member today!

New ipod needs windows Vista or XP with SP3 or higher?

profile picture
Posts: 9675
profile picture
Posts: 4834
profile picture
Posts: 1924
profile picture
Posts: 5285
profile picture
Posts: 2328
profile picture
Posts: 585
profile picture
Posts: 9675
All times are Eastern (-4)